Runtime

## org.eclipse.gmf.runtime.diagram.ui.editparts
Interface IBorderedShapeEditPart

All Known Implementing Classes:
  AbstractBorderedShapeEditPart, BorderedBorderItemEditPart

public interface IBorderedShapeEditPart

An editpart with support for border items. It has the main shape's figure and a special figure to hold the border item figures.

Method Summary
`BorderedNodeFigure` `getBorderedFigure()` Return the editpart's bordered figure.
`IFigure` `getMainFigure()` Returns the editpart's main figure.

Method Detail

### getMainFigure

    public IFigure getMainFigure()

  Returns the editpart's main figure.

  Returns:
    `IFigure`

### getBorderedFigure

    public BorderedNodeFigure getBorderedFigure()

  Return the editpart's bordered figure.

  Returns:
    `IFigure`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.